import { DynamoAttributeValue } from "@aws-cdk/aws-stepfunctions-tasks";
export interface ExpressionAggregate {
    /**
     * Built expression that contains calculated placeholders.
     */
    readonly expression: string;
    /**
     * attribute values that used to substitute expression's placeholders by DynamoDB.
     */
    readonly expressionAttributeValues: {
        [key: string]: DynamoAttributeValue;
    };
}
/**
 * Builds an expression and expression attribute values from template string.
 */
export declare const dynamoExpr: (literals: TemplateStringsArray, ...placeholers: DynamoAttributeValue[]) => ExpressionAggregate;
