"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dynamoExpr = void 0;
const counter_1 = require("./counter");
/**
 * Builds an expression and expression attribute values from template string.
 */
exports.dynamoExpr = (literals, ...placeholers) => {
    let expression = "";
    const expressionAttributeValues = {};
    placeholers.forEach((pv, idx) => {
        const { value } = counter_1.refCounter.next();
        const ref = `:v${value}`;
        expression += literals[idx];
        expression += ref;
        expressionAttributeValues[ref] = pv;
    });
    expression += literals[literals.length - 1];
    return { expression, expressionAttributeValues };
};
